Bug 123629 - download mirror statistics? failure statistics?
download mirror statistics? failure statistics?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 14:43 EDT by Bob Gustafson
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Gustafson 2004-05-19 14:43:37 EDT
Description of problem:

  I have been trying to download FC2core from several of the listed
mirrors. Mozilla download says that it is 'Finished' and the file has
a certain size. When I do 'ls -l FC2*, I find that the size of the
downloaded file is not the size of the 'Finished' line in the download
viewer.

  Also, there does not seem to be a way to pick up where a file is
left off - in Mozilla download. Maybe I need to click around a bit
more in the Help files.

  Also, using command line wget ... doesn't do too much better -
sessions slow down, and then they don't resume for hours (if at all).

Version-Release number of selected component (if applicable):

  Download of FC2core components recently released. Using up-to-date
FC2test3 components.

How reproducible:

  Still trying.

Steps to Reproduce:
1. Click on file to download
2. Watch download status viewer
3. Compare size shown in viewer when 'finished' with 'ls -l' size of file
  
Actual results:

  Incomplete downloads

Expected results:

  Complete downloads.

Additional info:

  I hope that one of the requests of mirror sites is that they collect
statistics on downloads of FC2. These statistics could then be
gathered in a central place, along with the specifications of the
mirror sites themselves - bit pipe capacity, memory of server(s),
software used by server  etc. Some analysis might find useful information.

  Downloading of Fedora (or any other desirable time sensitive chunk
of data) offers an opportunity to test server software. If
Linux/Mozilla whatever.., is touted as good software to use under high
load conditions, it needs to be tested and debugged under high load
(real-world) conditions.
Comment 1 Matthew Miller 2005-04-26 11:48:51 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Bob Gustafson 2006-04-27 00:48:47 EDT
The problem carried over to FC3 and FC4.

The newest update scheme in FC5 seems to work better.

I don't know whether mirror optimization is included or not.
Comment 3 Bob Gustafson 2006-04-28 22:13:57 EDT
see above
Comment 4 John Thacker 2006-10-28 13:43:07 EDT
Closing since "FC5 seems to work better," and FC4 and earlier are Fedora Legacy.
 (security only).  (Note that yum does do some mirror optimization, and
bittorrent is preferred for ISOs now)

Note You need to log in before you can comment on or make changes to this bug.